FitModelHandler Class Reference

`#include <FitModelHandler.h>`

Inheritance diagram for FitModelHandler:

## Public Member Functions

bool | characters (const QString &str)
bool | endElement (const QString &namespaceURI, const QString &localName, const QString &qName)
QString | errorString () const
bool | fatalError (const QXmlParseException &)
| FitModelHandler (Fit *fit)
bool | startElement (const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &attributes)

## Private Attributes

QString | currentText
QStringList | d_explanations
Fit * | d_fit
QString | d_formula
QStringList | d_parameters
QVarLengthArray< double > | d_values
QString | errorStr
bool | metFitTag

## Constructor & Destructor Documentation

## FitModelHandler()

FitModelHandler::FitModelHandler | ( | Fit * | fit | ) |

References metFitTag.

## Member Function Documentation

## characters()

bool FitModelHandler::characters | ( | const QString & | str | ) |

References currentText.

## endElement()

bool FitModelHandler::endElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName
| ) |  |

References currentText, d_explanations, d_fit, d_formula, d_parameters, d_values, Fit::setFormula(), Fit::setInitialGuesses(), Fit::setParameterExplanations(), Fit::setParametersList(), and Fit::setType().

## errorString()

QString FitModelHandler::errorString | ( |  | ) | const

References errorStr.

Referenced by fatalError().

## fatalError()

bool FitModelHandler::fatalError | ( | const QXmlParseException & |  | ) |

inline

References errorString().

## startElement()

bool FitModelHandler::startElement | ( | const QString & | namespaceURI,
|  | const QString & | localName,
|  | const QString & | qName,
|  | const QXmlAttributes & | attributes
| ) |  |

References currentText, errorStr, and metFitTag.

## Member Data Documentation

## currentText

QString FitModelHandler::currentText

private

Referenced by characters(), endElement(), and startElement().

## d_explanations

QStringList FitModelHandler::d_explanations

private

Referenced by endElement().

## d_fit

Fit* FitModelHandler::d_fit

private

Referenced by endElement().

## d_formula

QString FitModelHandler::d_formula

private

Referenced by endElement().

## d_parameters

QStringList FitModelHandler::d_parameters

private

Referenced by endElement().

## d_values

QVarLengthArray<double> FitModelHandler::d_values

private

Referenced by endElement().

## errorStr

QString FitModelHandler::errorStr

private

Referenced by errorString(), and startElement().

## metFitTag

bool FitModelHandler::metFitTag

private

Referenced by FitModelHandler(), and startElement().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/FitModelHandler.h
- qtiplot/src/analysis/FitModelHandler.cpp